%define py_ver	2.2
%define name	pyosd
%define version	0.2.5
%define release 4mdk

Summary:	Python wrapper for libosd.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://repose.cx/pyosd/%{name}-%{version}.tar.bz2
Patch1:		xosd2.patch.bz2
Group:		Development/Python
URL:		http://repose.cx/pyosd
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpython%{py_ver}-devel libxosd-devel
License:	GPL

%description 
PyOSD is a python module for displaying text on your X display, much like the 
"On Screen Displays" used on TVs and some monitors.

%prep
%setup -q  
%patch1 -p0

%build

python setup.py build

%install

python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT  

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc AUTHORS README* TODO ChangeLog COPYING

%changelog
* Tue Feb 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.5-4mdk
- new xosd

* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.5-3mdk
- rebuild for new xosd

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2.5-2mdk
- rebuild

* Tue Dec 03 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.2.5-1mdk
- contributed by Pascal Terjan <CMoi@tuxfamily.org>
